LDCONFIG(8)

NAME
ldconfig - updates symlinks and cache for shared libraries

SYNOPSIS
ldconfig [ -DvqnNX ] [ -f conf ] [ -C cache ] [ -r root ] dir ...
ldconfig -l [ -Dv ] lib ...
ldconfig -p

DESCRIPTION
ldconfig creates the necessary links and cache to the most recent shared libraries found in the directories specified on the command line, in the file /etc/ld.so.conf, and in the default trusted directories (/lib and /usr/lib). The cache is used by the run-time linker. ldconfig checks the header and file names of the libraries it encounters when determining which versions should have their links updated. Note: Some features may not exist depending on how uClibc was built

OPTIONS

-C cache
    use specified cache instead of default

-D  debug mode, do not update links

-f conf
    use specified conf instead of default

-l  library mode, manually link libraries

-n  do not process standard trusted directories

-N  do not update the library cache

-p  print the current library cache

-q  quiet mode, do not print warnings you should actually be reading

-r root
    chroot to root before running

-v  verbose mode, print things as we go, and generally be annoying

-X  do not update the library links

BUGS
Probably, make sure you complain when you find them:
http://bugs.uclibc.org/